/*
** File: ics843034_01.h  
** Project: ADB3 core driver
** Purpose: Exports functions for programming the ICS843034_01 clock generator.
**
** (C) Copyright Alpha Data 2009-2010
*/

#ifndef _ADATA_CORE_ICS843034_01_H
#define _ADATA_CORE_ICS843034_01_H

#include "device.h"

extern ClockWordStatus
clockWordIcs843034_01(
	Adb3CoreDeviceContext* pDevCtx,
  uint32_t flags,
	uint32_t xtalFrequency1,
	uint32_t xtalFrequency2,
	uint64_t frequencyReq,
	uint64_t frequencyMin,
	uint64_t frequencyMax,
  uint32_t* pClockWord,
	uint64_t* pActualFrequency);

#endif
