/*
** File: identify.h  
** Project: ADB3 core driver
** Purpose: Defines function prototypes for identifying device based on its Hardware ID
**
** (C) Copyright Alpha Data 2009-2010
*/

#if !defined(ADATA_CORE_IDENTIFY_H)
#define ADATA_CORE_IDENTIFY_H

#include <df.h>

#include "device.h"

extern boolean_t
identifyDevice(
	Adb3CoreDeviceContext* pDevCtx,
	DfHardwareId* pId);

#endif
